%define PyPluckerDir %{_libdir}/python2.3/site-packages/PyPlucker
%define desktop_version 1.6.0.1
%define plucker_version 1.8

Name: plucker
Version: %{plucker_version}
Release: 1mdk
Group: Communications
Summary: Offline HTML reading for Palm devices
License: GPL
URL: http://www.plkr.org/
Source0: plucker_src-%{version}.tar.bz2
# (fc) 1.8-1mdk fix python version
Patch0: plucker-1.8-pyver.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Plucker increase the utility of your handheld device by letting you view
web pages and any document that can be converted to HTML or text. Plucker
has many advanced features including the ability to read web pages with
embedded images, an advanced find function, the ability to open an e-mail
form when tapping on mail-links in web documents, an impressive compression
ratio for the documents and an open, documented format. It can also be
customized for your specific needs.

PalmOS binaries for viewing plucker documents are available 
at http://www.plkr.org/

%package desktop
Summary: Visual GUI management for the command-line tools of Plucker
Version: %{desktop_version}
Requires: plucker = %{plucker_version}-%{release}
Group: %{group}

%description desktop
Plucker Desktop provides:
visual configuration of all the latest parameters for Plucker;
interactive wizards to setup Plucker, install software and add new channels;
autoupdate capability to update individual channels at specified intervals;
drag-and-drop and clipboard support;
a point-and-click showcase of preconfigured Plucker channels which 
can be instantly added;
installing channel output to selected handhelds or directories;
easy visual editing of exclusion lists;
an integrated editor/previewer for all Plucker tags;
visual progress feedback of channel updating;
use of the graphical interface in multiple translated languages;
extensive context-sensitive help throughout.


%prep
%setup -q 
%patch0 -p1 -b .pyver

%build

%configure2_5x --disable-palmosbuild --disable-java-distiller --disable-docbuild

make

%install
rm -rf %{buildroot}

touch TODO

%makeinstall_std
cd plucker_desktop
%makeinstall_std
cd -

ln -s %{PyPluckerDir}/Spider.py  $RPM_BUILD_ROOT%{_bindir}/plucker-build
ln -s %{PyPluckerDir}/PluckerDocs.py $RPM_BUILD_ROOT%{_bindir}/plucker-decode
ln -s %{PyPluckerDir}/Decode.py $RPM_BUILD_ROOT%{_bindir}/plucker-dump
ln -s %{PyPluckerDir}/pluck-comics.py $RPM_BUILD_ROOT%{_bindir}/pluck-comics

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
convert plucker_desktop/resource/icons_application/application_16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/plucker-desktop.png
convert plucker_desktop/resource/icons_application/application_32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/plucker-desktop.png
convert plucker_desktop/resource/icons_application/application_48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/plucker-desktop.png


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/plucker-desktop
?package(plucker-desktop):command="%{_bindir}/plucker-desktop" \
needs="x11" section="Office/Communications/PDA" title="Plucker Desktop" \
longtitle="Plucker Graphical Interface" icon="plucker-desktop.png"
EOF

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a \
  $RPM_BUILD_ROOT%{_datadir}/plucker/{palm,doc} \
  $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf %{buildroot}

%post desktop
%{update_menus}

%postun desktop
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS REQUIREMENTS BUGREPORT
%doc CREDITS FAQ README
%{_bindir}/plucker
%{_bindir}/plucker-build
%{_bindir}/plucker-decode
%{_bindir}/plucker-dump
%{_bindir}/plucker-setup
%{_bindir}/explode
%{_bindir}/pluck-comics
%{_mandir}/man1/*
%{_libdir}/python*/site-packages/PyPlucker
%{_datadir}/plucker

%files desktop
%defattr(-,root,root)
%doc plucker_desktop/docs/PLUCKER_DESKTOP_CHANGELOG.txt plucker_desktop/README.txt
%{_bindir}/plucker-desktop
%{_datadir}/plucker-desktop
%{_menudir}/*
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_iconsdir}/*.png

%changelog -n plucker
* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8-1mdk
- First mdk package
- Patch0: fix python version
